Hooks:PostHook(PlayerStandard, "_do_melee_damage", "melee_explosion", function(self, t, bayonet_melee, melee_hit_ray)
    local player_unit = managers.player:player_unit()
    local melee_id = managers.blackmarket:equipped_melee_weapon()
    local melee_tweak = tweak_data.blackmarket.melee_weapons[melee_id]
    local col_ray
    local sphere_cast_radius = 60
    if melee_hit_ray then
        col_ray = melee_hit_ray ~= true and melee_hit_ray or nil
    else
        col_ray = self:_calc_melee_hit_ray(t, sphere_cast_radius)
    end
    if col_ray and (melee_id == "pulverizer" or melee_tweak.explosion == true) then
        InstantExplosiveBulletBase:on_collision(col_ray, player_unit:inventory()._available_selections[1].unit, player_unit, 0, false)
    end
end)